# redis ram ≈ 4 + system ram / 16
# guarantee-рованная память должна обеспечить старт системы - сколько система жрёт в среднем
# максимальная (ram) — пиковое выделение памяти и дисковый кэш
# Как считаем guarantee:
# guarantee ≈ system(d) 37m + redis + python(uwsgi * 150 + wsgidav(16mb) + celery(135mb) + socketio_proxy(35mb) \
#       postgres(shared_buffers(max(8; redis)) + uwsgi * sqlalchemy_queue_pool(2m) * temp_buffers * work_buffers) \
sla0: # Бесплатный: бесплатники и длинные демщики (можно дисклеймер писать — демо просрочена и скорость ограничена)
        redis:
                ram: 16
        uwsgi:
                processes: 1
                offload: 1
        system:
                disk: 1
                ram:
                        max: 640
                        guarantee: 384
        postgres:
                shared_buffers: 8
                temp_buffers: 1
                work_mem: 1
sla1: # Эконом: персональные платные и экономичные (хоть сколько-то платят) клиенты
        redis:
                ram: 16
        uwsgi:
                processes: 2
                offload: 1
        system:
                disk: 5
                ram:
                        max: 1024
                        guarantee: 512
        postgres:
                shared_buffers: 16
                temp_buffers: 4
                work_mem: 4
sla2: # Бизнес: дефолтная виртуалка из коробки, которую мы даём демщикам, юзают 80% B2B-клиентов
        redis:
                ram: 64
        uwsgi:
                processes: 2
                offload: 1
        system:
                disk: 20
                ram:
                        max: 3096
                        guarantee: 412
        postgres:
                shared_buffers: 64
                temp_buffers: 8
                work_mem: 8
sla3: # Бизнес Плюс
        redis:
                ram: 128
        uwsgi:
                processes: 3
                offload: 1
        system:
                disk: 100
                ram:
                        max: 4096
                        guarantee: 1024
        postgres:
                shared_buffers: 128
                temp_buffers: 16
                work_mem: 16
sla4: # Премиум
        redis:
                ram: 256
        uwsgi:
                processes: 4
                offload: 2
        system:
                disk: 250
                ram:
                        max: 8192
                        guarantee: 2048
        postgres:
                shared_buffers: 256
                temp_buffers: 32
                work_mem: 32
sla5: # Корпоративный
        redis:
                ram: 512
        uwsgi:
                processes: 8
                offload: 2
        system:
                disk: 2000
                ram:
                        max: 16384
                        guarantee: 4096
        postgres:
                shared_buffers: 512
                temp_buffers: 32
                work_mem: 32
